Nested Headers

Documentation

setNestedHeader

Replace the current nested header, if any.

Parameter Description
nestedHeader New nested header.

POST /api/:guid/:worksheetIndex/nested

setNestedHeaderCell

Modify the properties of one or more nested header cells.

Parameter Description
nestedHeaderCells.x Horizontal cell position.
nestedHeaderCells.y Vertical cell position.
nestedHeaderCells.properties Cell properties.

POST /api/:guid/:worksheetIndex/nested/update

resetNestedHeader

Remove the nested header.

DELETE /api/:guid/:worksheetIndex/nested